<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
	<head>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<title>Table Header</title>
	</head>
	<body>
		<div
			class="px-6 sm:px-8 flex gap-2 items-center justify-between"
			th:fragment="table_header"
		>
			<div>
				<form class="">
					<select
						class="bg-white-100 border border-black-100 text-black-900 text-sm rounded-lg focus:ring-primary-500 focus:border-primary-500 block w-full py-2.5"
						name="pageSize"
						onchange="submit()"
					>
						<option th:selected="${pageSize == 10}" value="10">10</option>
						<option th:selected="${pageSize == 25}" value="25">25</option>
						<option th:selected="${pageSize == 50}" value="50">50</option>
						<option th:selected="${pageSize == 100}" value="100">100</option>
					</select>
					<input type="hidden" name="search" th:value="${search}">
				</form>
			</div>
			<div class="w-full sm:w-1/2 md:w-1/3 flex items-center gap-2">
				<form class="w-full">
					<div class="relative">
						<div
							class="absolute inset-y-0 start-0 flex items-center ps-3.5 pointer-events-none text-black-400"
						>
							<svg
								aria-hidden="true"
								class="w-5 h-5"
								fill="currentColor"
								viewBox="0 0 20 20"
								xmlns="http://www.w3.org/2000/svg"
							>
								<path
									fill-rule="evenodd"
									d="M8 4a4 4 0 100 8 4 4 0 000-8zM2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8z"
									clip-rule="evenodd"
								></path>
							</svg>
						</div>

						<input
							class="bg-white-100 border border-black-100 text-black-900 text-sm rounded-lg focus:ring-primary-500 focus:border-primary-500 block w-full py-2.5 ps-10"
							type="text"
							id="search"
							name="search"
							placeholder="search"
							th:value="${search}"
						/>
						<input type="hidden" th:value="${pageSize}" name="pageSize">
					</div>
				</form>
			</div>
		</div>
	</body>
</html>
